Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Interface Extension

All Known Implementing Classes:
  DefaultExtension

    public interface Extension

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static String` | `DATABASEINDEXED`
`static String` | `FILEBASED`
`static String` | `NAMEINDEXED`
`static String` | `ORACLEGEORASTER`
`static String` | `SCRIPTBASED`
`static String` | `SHAPEINDEXED`

Method Summary
`void` | `addResolution(Resolution resolution)`
`double` | `getMaxScale()` returns the maximum scale of objects that are described by an `Extension` object
`double` | `getMinScale()` returns the minimum scale of objects that are described by an `Extension` object
`double` | `getOffset()` returns the offset of the data. 0 will be returned if no offset is defined.
`Resolution[]` | `getResolutions()` returns all `Resolution`s.
`Resolution[]` | `getResolutions(double scale)` returns the `Resolution`s matching the passed scale.
`double` | `getScaleFactor()` returns the scale factor of the data.
`String` | `getType()` returns the type of the coverage source that is described be an extension

Field Detail

### FILEBASED

    static final String FILEBASED

See Also:
  Constant Field Values

### NAMEINDEXED

    static final String NAMEINDEXED

See Also:
  Constant Field Values

### SHAPEINDEXED

    static final String SHAPEINDEXED

See Also:
  Constant Field Values

### DATABASEINDEXED

    static final String DATABASEINDEXED

See Also:
  Constant Field Values

### ORACLEGEORASTER

    static final String ORACLEGEORASTER

See Also:
  Constant Field Values

### SCRIPTBASED

    static final String SCRIPTBASED

See Also:
  Constant Field Values

Method Detail

### getType

    String getType()

  returns the type of the coverage source that is described be an extension

  Returns:
    the type of the coverage source that is described be an extension

### getMinScale

    double getMinScale()

  returns the minimum scale of objects that are described by an `Extension` object

  Returns:
    the minimum scale of objects that are described by an `Extension` object

### getMaxScale

    double getMaxScale()

  returns the maximum scale of objects that are described by an `Extension` object

  Returns:
    the maximum scale of objects that are described by an `Extension` object

### getOffset

    double getOffset()

  returns the offset of the data. 0 will be returned if no offset is defined. Data first must be divided by the scale factor (@see #getScaleFactor()) before sustracting the offset

  Returns:
    the offset of the data. 0 will be returned if no offset is defined. Data first must be divided by the scale factor (@see #getScaleFactor()) before sustracting the offset

### getScaleFactor

    double getScaleFactor()

  returns the scale factor of the data. If no scale factor is defined 1 will be returned. Data first must be divided by the scale factor (@see #getScaleFactor()) before sustracting the offset

  Returns:
    the scale factor of the data. If no scale factor is defined 1 will be returned. Data first must be divided by the scale factor (@see #getScaleFactor()) before sustracting the offset

### getResolutions

    Resolution[] getResolutions()

  returns all `Resolution`s. If no `Resolution` can be found for the passed scale an empty array will be returned.

  Returns:
    `Resolution`s matching the passed scale

### getResolutions

    Resolution[] getResolutions(double scale)

  returns the `Resolution`s matching the passed scale. If no `Resolution` can be found for the passed scale an empty array will be returned.

  Parameters:
    `scale` - scale the returned resolutions must fit
  Returns:
    `Resolution`s matching the passed scale

### addResolution

    void addResolution(Resolution resolution)

  Parameters:
    `resolution` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org